- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# xinerama.h

    00001 /*
    00002  * This file generated automatically from xinerama.xml by c_client.py.
    00003  * Edit at your peril.
    00004  */
    00005
    00012 #ifndef __XINERAMA_H
    00013 #define __XINERAMA_H
    00014
    00015 #include "xcb.h"
    00016 #include "xproto.h"
    00017
    00018 #ifdef __cplusplus
    00019 extern "C" {
    00020 #endif
    00021
    00022 #define XCB_XINERAMA_MAJOR_VERSION 1
    00023 #define XCB_XINERAMA_MINOR_VERSION 1
    00024
    00025 extern xcb_extension_t xcb_xinerama_id;
    00026
    00030 typedef struct xcb_xinerama_screen_info_t {
    00031     int16_t  x_org;
    00032     int16_t  y_org;
    00033     uint16_t width;
    00034     uint16_t height;
    00035 } xcb_xinerama_screen_info_t;
    00036
    00040 typedef struct xcb_xinerama_screen_info_iterator_t {
    00041     xcb_xinerama_screen_info_t *data;
    00042     int                         rem;
    00043     int                         index;
    00044 } xcb_xinerama_screen_info_iterator_t;
    00045
    00049 typedef struct xcb_xinerama_query_version_cookie_t {
    00050     unsigned int sequence;
    00051 } xcb_xinerama_query_version_cookie_t;
    00052
    00054 #define XCB_XINERAMA_QUERY_VERSION 0
    00055
    00059 typedef struct xcb_xinerama_query_version_request_t {
    00060     uint8_t  major_opcode;
    00061     uint8_t  minor_opcode;
    00062     uint16_t length;
    00063     uint8_t  major;
    00064     uint8_t  minor;
    00065 } xcb_xinerama_query_version_request_t;
    00066
    00070 typedef struct xcb_xinerama_query_version_reply_t {
    00071     uint8_t  response_type;
    00072     uint8_t  pad0;
    00073     uint16_t sequence;
    00074     uint32_t length;
    00075     uint16_t major;
    00076     uint16_t minor;
    00077 } xcb_xinerama_query_version_reply_t;
    00078
    00082 typedef struct xcb_xinerama_get_state_cookie_t {
    00083     unsigned int sequence;
    00084 } xcb_xinerama_get_state_cookie_t;
    00085
    00087 #define XCB_XINERAMA_GET_STATE 1
    00088
    00092 typedef struct xcb_xinerama_get_state_request_t {
    00093     uint8_t      major_opcode;
    00094     uint8_t      minor_opcode;
    00095     uint16_t     length;
    00096     xcb_window_t window;
    00097 } xcb_xinerama_get_state_request_t;
    00098
    00102 typedef struct xcb_xinerama_get_state_reply_t {
    00103     uint8_t      response_type;
    00104     uint8_t      state;
    00105     uint16_t     sequence;
    00106     uint32_t     length;
    00107     xcb_window_t window;
    00108 } xcb_xinerama_get_state_reply_t;
    00109
    00113 typedef struct xcb_xinerama_get_screen_count_cookie_t {
    00114     unsigned int sequence;
    00115 } xcb_xinerama_get_screen_count_cookie_t;
    00116
    00118 #define XCB_XINERAMA_GET_SCREEN_COUNT 2
    00119
    00123 typedef struct xcb_xinerama_get_screen_count_request_t {
    00124     uint8_t      major_opcode;
    00125     uint8_t      minor_opcode;
    00126     uint16_t     length;
    00127     xcb_window_t window;
    00128 } xcb_xinerama_get_screen_count_request_t;
    00129
    00133 typedef struct xcb_xinerama_get_screen_count_reply_t {
    00134     uint8_t      response_type;
    00135     uint8_t      screen_count;
    00136     uint16_t     sequence;
    00137     uint32_t     length;
    00138     xcb_window_t window;
    00139 } xcb_xinerama_get_screen_count_reply_t;
    00140
    00144 typedef struct xcb_xinerama_get_screen_size_cookie_t {
    00145     unsigned int sequence;
    00146 } xcb_xinerama_get_screen_size_cookie_t;
    00147
    00149 #define XCB_XINERAMA_GET_SCREEN_SIZE 3
    00150
    00154 typedef struct xcb_xinerama_get_screen_size_request_t {
    00155     uint8_t      major_opcode;
    00156     uint8_t      minor_opcode;
    00157     uint16_t     length;
    00158     xcb_window_t window;
    00159     uint32_t     screen;
    00160 } xcb_xinerama_get_screen_size_request_t;
    00161
    00165 typedef struct xcb_xinerama_get_screen_size_reply_t {
    00166     uint8_t      response_type;
    00167     uint8_t      pad0;
    00168     uint16_t     sequence;
    00169     uint32_t     length;
    00170     uint32_t     width;
    00171     uint32_t     height;
    00172     xcb_window_t window;
    00173     uint32_t     screen;
    00174 } xcb_xinerama_get_screen_size_reply_t;
    00175
    00179 typedef struct xcb_xinerama_is_active_cookie_t {
    00180     unsigned int sequence;
    00181 } xcb_xinerama_is_active_cookie_t;
    00182
    00184 #define XCB_XINERAMA_IS_ACTIVE 4
    00185
    00189 typedef struct xcb_xinerama_is_active_request_t {
    00190     uint8_t  major_opcode;
    00191     uint8_t  minor_opcode;
    00192     uint16_t length;
    00193 } xcb_xinerama_is_active_request_t;
    00194
    00198 typedef struct xcb_xinerama_is_active_reply_t {
    00199     uint8_t  response_type;
    00200     uint8_t  pad0;
    00201     uint16_t sequence;
    00202     uint32_t length;
    00203     uint32_t state;
    00204 } xcb_xinerama_is_active_reply_t;
    00205
    00209 typedef struct xcb_xinerama_query_screens_cookie_t {
    00210     unsigned int sequence;
    00211 } xcb_xinerama_query_screens_cookie_t;
    00212
    00214 #define XCB_XINERAMA_QUERY_SCREENS 5
    00215
    00219 typedef struct xcb_xinerama_query_screens_request_t {
    00220     uint8_t  major_opcode;
    00221     uint8_t  minor_opcode;
    00222     uint16_t length;
    00223 } xcb_xinerama_query_screens_request_t;
    00224
    00228 typedef struct xcb_xinerama_query_screens_reply_t {
    00229     uint8_t  response_type;
    00230     uint8_t  pad0;
    00231     uint16_t sequence;
    00232     uint32_t length;
    00233     uint32_t number;
    00234     uint8_t  pad1[20];
    00235 } xcb_xinerama_query_screens_reply_t;
    00236
    00246 /*****************************************************************************
    00247  **
    00248  ** void xcb_xinerama_screen_info_next
    00249  **
    00250  ** @param xcb_xinerama_screen_info_iterator_t *i
    00251  ** @returns void
    00252  **
    00253  *****************************************************************************/
    00254
    00255 void
    00256 xcb_xinerama_screen_info_next (xcb_xinerama_screen_info_iterator_t *i  );
    00257
    00268 /*****************************************************************************
    00269  **
    00270  ** xcb_generic_iterator_t xcb_xinerama_screen_info_end
    00271  **
    00272  ** @param xcb_xinerama_screen_info_iterator_t i
    00273  ** @returns xcb_generic_iterator_t
    00274  **
    00275  *****************************************************************************/
    00276
    00277 xcb_generic_iterator_t
    00278 xcb_xinerama_screen_info_end (xcb_xinerama_screen_info_iterator_t i  );
    00279
    00289 /*****************************************************************************
    00290  **
    00291  ** xcb_xinerama_query_version_cookie_t xcb_xinerama_query_version
    00292  **
    00293  ** @param xcb_connection_t *c
    00294  ** @param uint8_t           major
    00295  ** @param uint8_t           minor
    00296  ** @returns xcb_xinerama_query_version_cookie_t
    00297  **
    00298  *****************************************************************************/
    00299
    00300 xcb_xinerama_query_version_cookie_t
    00301 xcb_xinerama_query_version (xcb_connection_t *c  ,
    00302                             uint8_t           major  ,
    00303                             uint8_t           minor  );
    00304
    00317 /*****************************************************************************
    00318  **
    00319  ** xcb_xinerama_query_version_cookie_t xcb_xinerama_query_version_unchecked
    00320  **
    00321  ** @param xcb_connection_t *c
    00322  ** @param uint8_t           major
    00323  ** @param uint8_t           minor
    00324  ** @returns xcb_xinerama_query_version_cookie_t
    00325  **
    00326  *****************************************************************************/
    00327
    00328 xcb_xinerama_query_version_cookie_t
    00329 xcb_xinerama_query_version_unchecked (xcb_connection_t *c  ,
    00330                                       uint8_t           major  ,
    00331                                       uint8_t           minor  );
    00332
    00348 /*****************************************************************************
    00349  **
    00350  ** xcb_xinerama_query_version_reply_t * xcb_xinerama_query_version_reply
    00351  **
    00352  ** @param xcb_connection_t                     *c
    00353  ** @param xcb_xinerama_query_version_cookie_t   cookie
    00354  ** @param xcb_generic_error_t                 **e
    00355  ** @returns xcb_xinerama_query_version_reply_t *
    00356  **
    00357  *****************************************************************************/
    00358
    00359 xcb_xinerama_query_version_reply_t *
    00360 xcb_xinerama_query_version_reply (xcb_connection_t                     *c  ,
    00361                                   xcb_xinerama_query_version_cookie_t   cookie  ,
    00362                                   xcb_generic_error_t                 **e  );
    00363
    00373 /*****************************************************************************
    00374  **
    00375  ** xcb_xinerama_get_state_cookie_t xcb_xinerama_get_state
    00376  **
    00377  ** @param xcb_connection_t *c
    00378  ** @param xcb_window_t      window
    00379  ** @returns xcb_xinerama_get_state_cookie_t
    00380  **
    00381  *****************************************************************************/
    00382
    00383 xcb_xinerama_get_state_cookie_t
    00384 xcb_xinerama_get_state (xcb_connection_t *c  ,
    00385                         xcb_window_t      window  );
    00386
    00399 /*****************************************************************************
    00400  **
    00401  ** xcb_xinerama_get_state_cookie_t xcb_xinerama_get_state_unchecked
    00402  **
    00403  ** @param xcb_connection_t *c
    00404  ** @param xcb_window_t      window
    00405  ** @returns xcb_xinerama_get_state_cookie_t
    00406  **
    00407  *****************************************************************************/
    00408
    00409 xcb_xinerama_get_state_cookie_t
    00410 xcb_xinerama_get_state_unchecked (xcb_connection_t *c  ,
    00411                                   xcb_window_t      window  );
    00412
    00428 /*****************************************************************************
    00429  **
    00430  ** xcb_xinerama_get_state_reply_t * xcb_xinerama_get_state_reply
    00431  **
    00432  ** @param xcb_connection_t                 *c
    00433  ** @param xcb_xinerama_get_state_cookie_t   cookie
    00434  ** @param xcb_generic_error_t             **e
    00435  ** @returns xcb_xinerama_get_state_reply_t *
    00436  **
    00437  *****************************************************************************/
    00438
    00439 xcb_xinerama_get_state_reply_t *
    00440 xcb_xinerama_get_state_reply (xcb_connection_t                 *c  ,
    00441                               xcb_xinerama_get_state_cookie_t   cookie  ,
    00442                               xcb_generic_error_t             **e  );
    00443
    00453 /*****************************************************************************
    00454  **
    00455  ** xcb_xinerama_get_screen_count_cookie_t xcb_xinerama_get_screen_count
    00456  **
    00457  ** @param xcb_connection_t *c
    00458  ** @param xcb_window_t      window
    00459  ** @returns xcb_xinerama_get_screen_count_cookie_t
    00460  **
    00461  *****************************************************************************/
    00462
    00463 xcb_xinerama_get_screen_count_cookie_t
    00464 xcb_xinerama_get_screen_count (xcb_connection_t *c  ,
    00465                                xcb_window_t      window  );
    00466
    00479 /*****************************************************************************
    00480  **
    00481  ** xcb_xinerama_get_screen_count_cookie_t xcb_xinerama_get_screen_count_unchecked
    00482  **
    00483  ** @param xcb_connection_t *c
    00484  ** @param xcb_window_t      window
    00485  ** @returns xcb_xinerama_get_screen_count_cookie_t
    00486  **
    00487  *****************************************************************************/
    00488
    00489 xcb_xinerama_get_screen_count_cookie_t
    00490 xcb_xinerama_get_screen_count_unchecked (xcb_connection_t *c  ,
    00491                                          xcb_window_t      window  );
    00492
    00508 /*****************************************************************************
    00509  **
    00510  ** xcb_xinerama_get_screen_count_reply_t * xcb_xinerama_get_screen_count_reply
    00511  **
    00512  ** @param xcb_connection_t                        *c
    00513  ** @param xcb_xinerama_get_screen_count_cookie_t   cookie
    00514  ** @param xcb_generic_error_t                    **e
    00515  ** @returns xcb_xinerama_get_screen_count_reply_t *
    00516  **
    00517  *****************************************************************************/
    00518
    00519 xcb_xinerama_get_screen_count_reply_t *
    00520 xcb_xinerama_get_screen_count_reply (xcb_connection_t                        *c  ,
    00521                                      xcb_xinerama_get_screen_count_cookie_t   cookie  ,
    00522                                      xcb_generic_error_t                    **e  );
    00523
    00533 /*****************************************************************************
    00534  **
    00535  ** xcb_xinerama_get_screen_size_cookie_t xcb_xinerama_get_screen_size
    00536  **
    00537  ** @param xcb_connection_t *c
    00538  ** @param xcb_window_t      window
    00539  ** @param uint32_t          screen
    00540  ** @returns xcb_xinerama_get_screen_size_cookie_t
    00541  **
    00542  *****************************************************************************/
    00543
    00544 xcb_xinerama_get_screen_size_cookie_t
    00545 xcb_xinerama_get_screen_size (xcb_connection_t *c  ,
    00546                               xcb_window_t      window  ,
    00547                               uint32_t          screen  );
    00548
    00561 /*****************************************************************************
    00562  **
    00563  ** xcb_xinerama_get_screen_size_cookie_t xcb_xinerama_get_screen_size_unchecked
    00564  **
    00565  ** @param xcb_connection_t *c
    00566  ** @param xcb_window_t      window
    00567  ** @param uint32_t          screen
    00568  ** @returns xcb_xinerama_get_screen_size_cookie_t
    00569  **
    00570  *****************************************************************************/
    00571
    00572 xcb_xinerama_get_screen_size_cookie_t
    00573 xcb_xinerama_get_screen_size_unchecked (xcb_connection_t *c  ,
    00574                                         xcb_window_t      window  ,
    00575                                         uint32_t          screen  );
    00576
    00592 /*****************************************************************************
    00593  **
    00594  ** xcb_xinerama_get_screen_size_reply_t * xcb_xinerama_get_screen_size_reply
    00595  **
    00596  ** @param xcb_connection_t                       *c
    00597  ** @param xcb_xinerama_get_screen_size_cookie_t   cookie
    00598  ** @param xcb_generic_error_t                   **e
    00599  ** @returns xcb_xinerama_get_screen_size_reply_t *
    00600  **
    00601  *****************************************************************************/
    00602
    00603 xcb_xinerama_get_screen_size_reply_t *
    00604 xcb_xinerama_get_screen_size_reply (xcb_connection_t                       *c  ,
    00605                                     xcb_xinerama_get_screen_size_cookie_t   cookie  ,
    00606                                     xcb_generic_error_t                   **e  );
    00607
    00617 /*****************************************************************************
    00618  **
    00619  ** xcb_xinerama_is_active_cookie_t xcb_xinerama_is_active
    00620  **
    00621  ** @param xcb_connection_t *c
    00622  ** @returns xcb_xinerama_is_active_cookie_t
    00623  **
    00624  *****************************************************************************/
    00625
    00626 xcb_xinerama_is_active_cookie_t
    00627 xcb_xinerama_is_active (xcb_connection_t *c  );
    00628
    00641 /*****************************************************************************
    00642  **
    00643  ** xcb_xinerama_is_active_cookie_t xcb_xinerama_is_active_unchecked
    00644  **
    00645  ** @param xcb_connection_t *c
    00646  ** @returns xcb_xinerama_is_active_cookie_t
    00647  **
    00648  *****************************************************************************/
    00649
    00650 xcb_xinerama_is_active_cookie_t
    00651 xcb_xinerama_is_active_unchecked (xcb_connection_t *c  );
    00652
    00668 /*****************************************************************************
    00669  **
    00670  ** xcb_xinerama_is_active_reply_t * xcb_xinerama_is_active_reply
    00671  **
    00672  ** @param xcb_connection_t                 *c
    00673  ** @param xcb_xinerama_is_active_cookie_t   cookie
    00674  ** @param xcb_generic_error_t             **e
    00675  ** @returns xcb_xinerama_is_active_reply_t *
    00676  **
    00677  *****************************************************************************/
    00678
    00679 xcb_xinerama_is_active_reply_t *
    00680 xcb_xinerama_is_active_reply (xcb_connection_t                 *c  ,
    00681                               xcb_xinerama_is_active_cookie_t   cookie  ,
    00682                               xcb_generic_error_t             **e  );
    00683
    00693 /*****************************************************************************
    00694  **
    00695  ** xcb_xinerama_query_screens_cookie_t xcb_xinerama_query_screens
    00696  **
    00697  ** @param xcb_connection_t *c
    00698  ** @returns xcb_xinerama_query_screens_cookie_t
    00699  **
    00700  *****************************************************************************/
    00701
    00702 xcb_xinerama_query_screens_cookie_t
    00703 xcb_xinerama_query_screens (xcb_connection_t *c  );
    00704
    00717 /*****************************************************************************
    00718  **
    00719  ** xcb_xinerama_query_screens_cookie_t xcb_xinerama_query_screens_unchecked
    00720  **
    00721  ** @param xcb_connection_t *c
    00722  ** @returns xcb_xinerama_query_screens_cookie_t
    00723  **
    00724  *****************************************************************************/
    00725
    00726 xcb_xinerama_query_screens_cookie_t
    00727 xcb_xinerama_query_screens_unchecked (xcb_connection_t *c  );
    00728
    00729
    00730 /*****************************************************************************
    00731  **
    00732  ** xcb_xinerama_screen_info_t * xcb_xinerama_query_screens_screen_info
    00733  **
    00734  ** @param const xcb_xinerama_query_screens_reply_t *R
    00735  ** @returns xcb_xinerama_screen_info_t *
    00736  **
    00737  *****************************************************************************/
    00738
    00739 xcb_xinerama_screen_info_t *
    00740 xcb_xinerama_query_screens_screen_info (const xcb_xinerama_query_screens_reply_t *R  );
    00741
    00742
    00743 /*****************************************************************************
    00744  **
    00745  ** int xcb_xinerama_query_screens_screen_info_length
    00746  **
    00747  ** @param const xcb_xinerama_query_screens_reply_t *R
    00748  ** @returns int
    00749  **
    00750  *****************************************************************************/
    00751
    00752 int
    00753 xcb_xinerama_query_screens_screen_info_length (const xcb_xinerama_query_screens_reply_t *R  );
    00754
    00755
    00756 /*****************************************************************************
    00757  **
    00758  ** xcb_xinerama_screen_info_iterator_t xcb_xinerama_query_screens_screen_info_iterator
    00759  **
    00760  ** @param const xcb_xinerama_query_screens_reply_t *R
    00761  ** @returns xcb_xinerama_screen_info_iterator_t
    00762  **
    00763  *****************************************************************************/
    00764
    00765 xcb_xinerama_screen_info_iterator_t
    00766 xcb_xinerama_query_screens_screen_info_iterator (const xcb_xinerama_query_screens_reply_t *R  );
    00767
    00783 /*****************************************************************************
    00784  **
    00785  ** xcb_xinerama_query_screens_reply_t * xcb_xinerama_query_screens_reply
    00786  **
    00787  ** @param xcb_connection_t                     *c
    00788  ** @param xcb_xinerama_query_screens_cookie_t   cookie
    00789  ** @param xcb_generic_error_t                 **e
    00790  ** @returns xcb_xinerama_query_screens_reply_t *
    00791  **
    00792  *****************************************************************************/
    00793
    00794 xcb_xinerama_query_screens_reply_t *
    00795 xcb_xinerama_query_screens_reply (xcb_connection_t                     *c  ,
    00796                                   xcb_xinerama_query_screens_cookie_t   cookie  ,
    00797                                   xcb_generic_error_t                 **e  );
    00798
    00799
    00800 #ifdef __cplusplus
    00801 }
    00802 #endif
    00803
    00804 #endif
    00805